/**
 * Copyright 1&1 Internet AG, https://github.com/1and1/
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.oneandone.sushi.fs;

public class FileNotFoundException extends NodeException {
    public FileNotFoundException(Node node) {
        this(node, "file node found");
    }

    public FileNotFoundException(Node node, String msg) {
        super(node, msg);
    }

    public FileNotFoundException(Node node, Throwable e) {
        this(node);
        initCause(e);
    }
}
